{"openapi":"3.1.0","info":{"title":"Salesmorph","description":"The Salesmorph API","version":"0.1.0"},"paths":{"/v1/api_key":{"post":{"tags":["api_key"],"summary":"Create Api Key","description":"Create an API key. The full key appears only in this response.","operationId":"create_api_key_v1_api_key_post","security":[{"JWTBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyCreateResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["api_key"],"summary":"List Api Keys","description":"Paginated list of active keys (name + display prefix only).","operationId":"list_api_keys_v1_api_key_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationSchema_ApiKeyResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/api_key/{key_id}":{"delete":{"tags":["api_key"],"summary":"Revoke Api Key","description":"Revoke a key. Takes effect on the next public-API request.","operationId":"revoke_api_key_v1_api_key__key_id__delete","security":[{"JWTBearer":[]}],"parameters":[{"name":"key_id","in":"path","required":true,"schema":{"type":"integer","title":"Key Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/whoami":{"get":{"tags":["authentication"],"summary":"Whoami","description":"Get current user.\nArgs:\n    user (User, optional): User object. Defaults to Depends(get_current_user).","operationId":"whoami_v1_auth_whoami_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/user":{"post":{"tags":["authentication"],"summary":"Create User","description":"Create a new user.\nArgs:\n    user (User): User object.\n    session (db, optional): Database session. Defaults to Depends(db).","operationId":"create_user_v1_auth_user_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUserPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]},"patch":{"tags":["authentication"],"summary":"Patch User","description":"Partial update a user.\nArgs:\n    user (User): User object.\n    session (db, optional): Database session. Defaults to Depends(db).","operationId":"patch_user_v1_auth_user_patch","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/impersonate/user":{"post":{"tags":["authentication"],"summary":"Impersonate User","description":"Impersonate a user.\nArgs:\n    user_id (int): User ID.\n    session (db, optional): Database session. Defaults to Depends(db).","operationId":"impersonate_user_v1_auth_impersonate_user_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImpersonateUserPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/impersonate/user/admin":{"post":{"tags":["authentication"],"summary":"Impersonate User Admin","description":"Impersonate a user for admins.\n\nAccepts EITHER admin Firebase auth (salesmorph-admin) or legacy\nx-admin-api-key (Appsmith / cron). Returns a Firebase custom token the\nadmin tool can hand to console.linktodm.com/impersonate?custom_token=...","operationId":"impersonate_user_admin_v1_auth_impersonate_user_admin_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImpersonateUserPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/impersonate/me":{"post":{"tags":["authentication"],"summary":"Impersonate Me","description":"Get impersonate token for current user","operationId":"impersonate_me_v1_auth_impersonate_me_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenSchema"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/users":{"get":{"tags":["authentication"],"summary":"Get Users","description":"Get all users.\nArgs:\n    session (db, optional): Database session. Defaults to Depends(db).","operationId":"get_users_v1_auth_users_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/UserResponse"},"type":"array","title":"Response Get Users V1 Auth Users Get"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/{user_id}/delete":{"delete":{"tags":["authentication"],"summary":"Delete User","operationId":"delete_user_v1_auth__user_id__delete_delete","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"integer","title":"User Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/{user_id}/deactivate":{"post":{"tags":["authentication"],"summary":"Deactivate User","description":"Admin only. Deactivate a user and unsubscribe from all their webhooks.","operationId":"deactivate_user_v1_auth__user_id__deactivate_post","parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"integer","title":"User Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/activate_me":{"post":{"tags":["authentication"],"summary":"Activate Me","description":"Current user activates their own account (subscribes webhooks).","operationId":"activate_me_v1_auth_activate_me_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/logout_all_devices":{"post":{"tags":["authentication"],"summary":"Logout All Devices","description":"Current user signs out of all devices by revoking their refresh tokens.","operationId":"logout_all_devices_v1_auth_logout_all_devices_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogoutAllDevicesResponse"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/delete_me":{"delete":{"tags":["authentication"],"summary":"Delete Me","operationId":"delete_me_v1_auth_delete_me_delete","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/delete_me_async":{"delete":{"tags":["authentication"],"summary":"Delete Me Async","description":"Schedule the current user's account for deletion after a grace period.\n\nQueues a Cloud Task that calls the synchronous `delete_user` endpoint once\nthe grace period elapses. The account keeps working until then.","operationId":"delete_me_async_v1_auth_delete_me_async_delete","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleUserDeletionResponse"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/cancel_my_deletion":{"post":{"tags":["authentication"],"summary":"Cancel My Deletion","description":"Cancel the current user's scheduled account deletion.\n\nDeletes the queued Cloud Task and clears the flag, so the account is no\nlonger on the deletion path.","operationId":"cancel_my_deletion_v1_auth_cancel_my_deletion_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelUserDeletionResponse"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/send_magic_link":{"post":{"tags":["authentication"],"summary":"Send Magic Link","operationId":"send_magic_link_v1_auth_send_magic_link_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMagicLinkPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/verify_login_otp":{"post":{"tags":["authentication"],"summary":"Verify Login Otp","description":"Exchange the code from the magic link email for custom tokens.","operationId":"verify_login_otp_v1_auth_verify_login_otp_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyLoginOtpPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyLoginOtpResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/auth/send_email_verification":{"post":{"tags":["authentication"],"summary":"Send Email Verification","description":"Email the current user a code to verify the email.","operationId":"send_email_verification_v1_auth_send_email_verification_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendEmailVerificationPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/auth/verify_email":{"post":{"tags":["authentication"],"summary":"Verify Email","description":"Check the emailed code and save the email as verified on the user.","operationId":"verify_email_v1_auth_verify_email_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyEmailPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyEmailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/website/join_waitlist":{"post":{"tags":["website"],"summary":"Add Email To Waitlist","operationId":"add_email_to_waitlist_v1_website_join_waitlist_post","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string","format":"email","title":"Email"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/website/get_country_code_by_ip":{"get":{"tags":["website"],"summary":"Get Country Code By Ip","operationId":"get_country_code_by_ip_v1_website_get_country_code_by_ip_get","parameters":[{"name":"ip_address","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip Address"}},{"name":"X-Forwarded-For","in":"header","required":false,"schema":{"title":"X-Forwarded-For"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountryResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/website/ad_campaign_tracker":{"post":{"tags":["website"],"summary":"Upsert Ad Campaign Tracker","operationId":"upsert_ad_campaign_tracker_v1_website_ad_campaign_tracker_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdCampaignTrackerRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/account":{"post":{"tags":["facebook"],"summary":"Upsert Facebook Account","operationId":"upsert_facebook_account_v1_facebook_account_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookAccountPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/link_instagram_with_facebook_account":{"patch":{"tags":["facebook"],"summary":"Link Instagram With Facebook Account","operationId":"link_instagram_with_facebook_account_v1_facebook_link_instagram_with_facebook_account_patch","security":[{"JWTBearer":[]}],"parameters":[{"name":"page_id","in":"query","required":true,"schema":{"type":"string","title":"Page Id"}},{"name":"page_access_token","in":"query","required":true,"schema":{"type":"string","title":"Page Access Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/access_tokens":{"get":{"tags":["facebook"],"summary":"Get Facebook Access Token","operationId":"get_facebook_access_token_v1_facebook_access_tokens_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"type","in":"query","required":false,"schema":{"$ref":"#/components/schemas/TokenType"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/has_valid_user_access_token":{"get":{"tags":["facebook"],"summary":"Has Valid User Access Token","operationId":"has_valid_user_access_token_v1_facebook_has_valid_user_access_token_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Response Has Valid User Access Token V1 Facebook Has Valid User Access Token Get"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/has_valid_page_access_token":{"get":{"tags":["facebook"],"summary":"Has Valid Page Access Token","operationId":"has_valid_page_access_token_v1_facebook_has_valid_page_access_token_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Response Has Valid Page Access Token V1 Facebook Has Valid Page Access Token Get"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/access_token":{"post":{"tags":["facebook"],"summary":"Create Facebook Access Token","operationId":"create_facebook_access_token_v1_facebook_access_token_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookAccessTokenPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/oauth/access_token":{"get":{"tags":["facebook"],"summary":"Get Facebook Oauth Access Token","operationId":"get_facebook_oauth_access_token_v1_facebook_oauth_access_token_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"short_lived_access_token","in":"query","required":true,"schema":{"type":"string","title":"Short Lived Access Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/oauth/access_token_info":{"get":{"tags":["facebook"],"summary":"Get Facebook Access Token Info","operationId":"get_facebook_access_token_info_v1_facebook_oauth_access_token_info_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"access_token","in":"query","required":true,"schema":{"type":"string","title":"Access Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/webhook":{"get":{"tags":["facebook"],"summary":"Facebook Webhook Verify","description":"On webook verification VERIFY_TOKEN has to match the token at the\nconfiguration and send back \"hub.challenge\" as success.","operationId":"facebook_webhook_verify_v1_facebook_webhook_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}},"post":{"tags":["facebook"],"summary":"Facebook Webhook","description":"No DB dependency: entries are queued, or processed inline by the fallback.","operationId":"facebook_webhook_v1_facebook_webhook_post","requestBody":{"content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Payload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/webhook/entry_action":{"post":{"tags":["facebook"],"summary":"Facebook Webhook Entry Action","description":"Run the webhook entry action for one entry of the given Meta object.","operationId":"facebook_webhook_entry_action_v1_facebook_webhook_entry_action_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookWebhookEntryPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/send_message":{"post":{"tags":["facebook"],"summary":"Send Message","operationId":"send_message_v1_facebook_send_message_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookSendMessagePayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/reply_to_comment":{"post":{"tags":["facebook"],"summary":"Reply To Comment","operationId":"reply_to_comment_v1_facebook_reply_to_comment_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookCommentReplyPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/test/otp":{"get":{"tags":["facebook"],"summary":"Get Facebook Test Otp","operationId":"get_facebook_test_otp_v1_facebook_test_otp_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Get Facebook Test Otp V1 Facebook Test Otp Get"}}}}}}},"/v1/facebook/test/instagram/nikil123q/otp":{"get":{"tags":["facebook"],"summary":"Get Instagram Test Otp","operationId":"get_instagram_test_otp_v1_facebook_test_instagram_nikil123q_otp_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Get Instagram Test Otp V1 Facebook Test Instagram Nikil123Q Otp Get"}}}}}}},"/v1/facebook/test/instagram/ubuntu123q/otp":{"get":{"tags":["facebook"],"summary":"Get Instagram Ubuntu123Q Test Otp","operationId":"get_instagram_ubuntu123q_test_otp_v1_facebook_test_instagram_ubuntu123q_otp_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"string","title":"Response Get Instagram Ubuntu123Q Test Otp V1 Facebook Test Instagram Ubuntu123Q Otp Get"}}}}}}},"/v1/facebook/send_private_reply":{"post":{"tags":["facebook"],"summary":"Send Private Reply","operationId":"send_private_reply_v1_facebook_send_private_reply_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookSendPrivateReplyPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/on_instagram_connect_success":{"post":{"tags":["facebook"],"summary":"On Instagram Connect Success","operationId":"on_instagram_connect_success_v1_facebook_on_instagram_connect_success_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstagramConnectSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/disconnect_facebook":{"delete":{"tags":["facebook"],"summary":"Disconnect Facebook","operationId":"disconnect_facebook_v1_facebook_disconnect_facebook_delete","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/create_subscription":{"post":{"tags":["facebook"],"summary":"Create Subscription","operationId":"create_subscription_v1_facebook_create_subscription_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/{account_id}/create_subscription_per_page":{"post":{"tags":["facebook"],"summary":"Create Subscription Per Page","operationId":"create_subscription_per_page_v1_facebook__account_id__create_subscription_per_page_post","parameters":[{"name":"account_id","in":"path","required":true,"schema":{"type":"string","title":"Account Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/valid_user_access_tokens":{"get":{"tags":["facebook"],"summary":"Get Valid Facebook Access Tokens","operationId":"get_valid_facebook_access_tokens_v1_facebook_valid_user_access_tokens_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookValidAccessTokenResponse"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/on_facebook_connect_success":{"post":{"tags":["facebook"],"summary":"On Facebook Connect Success","operationId":"on_facebook_connect_success_v1_facebook_on_facebook_connect_success_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookOauthSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/on_add_instagram_connect_success":{"post":{"tags":["facebook"],"summary":"On Add Instagram Connect Success","operationId":"on_add_instagram_connect_success_v1_facebook_on_add_instagram_connect_success_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookOauthSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/on_add_facebook_page_connect_success":{"post":{"tags":["facebook"],"summary":"On Add Facebook Page Connect Success","operationId":"on_add_facebook_page_connect_success_v1_facebook_on_add_facebook_page_connect_success_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookOauthSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/facebook/feed":{"get":{"tags":["facebook"],"summary":"Get Facebook Feed","operationId":"get_facebook_feed_v1_facebook_feed_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"instagram_user_id","in":"query","required":true,"schema":{"type":"string","title":"Instagram User Id"}},{"name":"after","in":"query","required":false,"schema":{"type":"string","title":"After"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/feed/{feed_id}/details":{"get":{"tags":["facebook"],"summary":"Get Facebook Feed Details","operationId":"get_facebook_feed_details_v1_facebook_feed__feed_id__details_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"feed_id","in":"path","required":true,"schema":{"type":"string","title":"Feed Id"}},{"name":"instagram_user_id","in":"query","required":true,"schema":{"type":"string","title":"Instagram User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/facebook/on_facebook_page_oauth_success":{"post":{"tags":["facebook"],"summary":"On Facebook Page Oauth Success","description":"Generate custom firebase token required for login/signup.","operationId":"on_facebook_page_oauth_success_v1_facebook_on_facebook_page_oauth_success_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookOauthSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FacebookPageOauthSuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/next_story/{created_by_user_id}/retry_to_find_new_user_story":{"post":{"tags":["automation","next_story"],"summary":"Retry To Find New User Story","description":"Retry to find new user story.","operationId":"retry_to_find_new_user_story_v1_automation_next_story__created_by_user_id__retry_to_find_new_user_story_post","parameters":[{"name":"created_by_user_id","in":"path","required":true,"schema":{"type":"integer","title":"Created By User Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/follow_up/send_follow_up_message":{"post":{"tags":["automation","follow_up"],"summary":"Send Follow Up Message","operationId":"send_follow_up_message_v1_automation_follow_up_send_follow_up_message_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendFollowUpMessagePayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/collect_info/on_data_item_collected":{"post":{"tags":["automation","collect_info"],"summary":"On Data Item Collected Async","operationId":"on_data_item_collected_async_v1_automation_collect_info_on_data_item_collected_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataItemCollectedPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/dm_variations/generate":{"post":{"tags":["automation","dm_variations"],"summary":"Generate Dm Variations","description":"Generate slight AI variations of the payload's DM content.\n\nOnly text (message, card titles, button labels) is rewritten — URLs\nand images are copied from the payload verbatim. Not supported for\nAttachment automations (nothing textual to vary). Returns null when\nthe model fails so the client can fall back to manual entry.","operationId":"generate_dm_variations_v1_automation_dm_variations_generate_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DmVariationPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/GenerateDmVariationsResponse"},{"type":"null"}],"title":"Response Generate Dm Variations V1 Automation Dm Variations Generate Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/automation/quick_reply/perform_quick_reply":{"post":{"tags":["automation","quick_reply"],"summary":"Perform Quick Reply","operationId":"perform_quick_reply_v1_automation_quick_reply_perform_quick_reply_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformQuickReplyPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation":{"post":{"tags":["automation"],"summary":"Create Automation","operationId":"create_automation_v1_automation_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/automation/{automation_id}/update":{"put":{"tags":["automation"],"summary":"Update Automation","operationId":"update_automation_v1_automation__automation_id__update_put","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["automation"],"summary":"Patch Automation","operationId":"patch_automation_v1_automation__automation_id__update_patch","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationDBEditPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/{automation_id}/view":{"get":{"tags":["automation"],"summary":"Get Automation","operationId":"get_automation_v1_automation__automation_id__view_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/{automation_id}/delete":{"delete":{"tags":["automation"],"summary":"Delete Automation","operationId":"delete_automation_v1_automation__automation_id__delete_delete","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}},{"name":"soft_delete","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Soft Delete"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/{automation_id}/duplicate":{"post":{"tags":["automation"],"summary":"Duplicate Automation","description":"Duplicate an automation by setting media_id as null.","operationId":"duplicate_automation_v1_automation__automation_id__duplicate_post","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/perform_auto_dm":{"post":{"tags":["automation"],"summary":"Perform Auto Dm","operationId":"perform_auto_dm_v1_automation_perform_auto_dm_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformAutoDMPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/summary":{"get":{"tags":["automation"],"summary":"Get Automation Summary","operationId":"get_automation_summary_v1_automation_summary_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"facebook_account_id","in":"query","required":false,"schema":{"type":"string","title":"Facebook Account Id"}},{"name":"instagram_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Instagram User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationSummaryResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/{automation_id}/rewind":{"post":{"tags":["automation"],"summary":"Rewind Automation Admin","operationId":"rewind_automation_admin_v1_automation__automation_id__rewind_post","parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/perform_share_auto_dm":{"post":{"tags":["automation"],"summary":"Perform Share Auto Dm","operationId":"perform_share_auto_dm_v1_automation_perform_share_auto_dm_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformShareAutoDMPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/send_automation_dm":{"post":{"tags":["automation"],"summary":"Send Automation Dm","operationId":"send_automation_dm_v1_automation_send_automation_dm_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendAutomationDMPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/perform_story_auto_dm":{"post":{"tags":["automation"],"summary":"Perform Story Auto Dm","operationId":"perform_story_auto_dm_v1_automation_perform_story_auto_dm_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformStoryAutoDMPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/perform_story_mention_auto_dm":{"post":{"tags":["automation"],"summary":"Perform Story Mention Auto Dm","operationId":"perform_story_mention_auto_dm_v1_automation_perform_story_mention_auto_dm_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PerformStoryMentionAutoDMPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/rewind_automation_comments":{"post":{"tags":["automation"],"summary":"Rewind Automation Comments","operationId":"rewind_automation_comments_v1_automation_rewind_automation_comments_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RewindAutomationCommentsPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/automation_rewind/{automation_rewind_id}/feed":{"get":{"tags":["automation"],"summary":"Get Automation Rewind Feed","operationId":"get_automation_rewind_feed_v1_automation_automation_rewind__automation_rewind_id__feed_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_rewind_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Rewind Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":20,"minimum":1,"default":5,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RewindFeedResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/automation_rewind/{automation_rewind_id}/update":{"patch":{"tags":["automation"],"summary":"Update Automation Rewind","operationId":"update_automation_rewind_v1_automation_automation_rewind__automation_rewind_id__update_patch","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_rewind_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Rewind Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRewindEditPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/user/{automation_id}/rewind":{"post":{"tags":["automation"],"summary":"Rewind Automation","operationId":"rewind_automation_v1_automation_user__automation_id__rewind_post","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/get_automations_stats":{"post":{"tags":["automation"],"summary":"Get Automations Stats","operationId":"get_automations_stats_v1_automation_get_automations_stats_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationStatsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/automation/options":{"get":{"tags":["automation"],"summary":"Get Automation Options","description":"Id and name of the channel's active automations of one kind.","operationId":"get_automation_options_v1_automation_options_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"channel_id","in":"query","required":true,"schema":{"type":"string","title":"Channel Id"}},{"name":"automation_type","in":"query","required":true,"schema":{"$ref":"#/components/schemas/AutomationOptionType"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationOptionSchema"},"title":"Response Get Automation Options V1 Automation Options Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/all":{"get":{"tags":["automation"],"summary":"Get All Automations Legacy","operationId":"get_all_automations_legacy_v1_automation_all_get","deprecated":true,"security":[{"JWTBearer":[]}],"parameters":[{"name":"facebook_account_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Facebook Account Id"}},{"name":"instagram_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Instagram User Id"}},{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Channel Id"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationCategory"},{"type":"null"}],"title":"Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"automation_types[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTypeFilter"},"default":[],"title":"Automation Types[]"}},{"name":"triggers[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTriggerFilter"},"default":[],"title":"Triggers[]"}},{"name":"created_after","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created After"}},{"name":"created_before","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Before"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationStatusFilter"},{"type":"null"}],"title":"Status"}},{"name":"include_conversation_starter","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Conversation Starter"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagiantionSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/all_counts":{"get":{"tags":["automation"],"summary":"Get All Automations Counts Legacy","operationId":"get_all_automations_counts_legacy_v1_automation_all_counts_get","deprecated":true,"security":[{"JWTBearer":[]}],"parameters":[{"name":"facebook_account_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Facebook Account Id"}},{"name":"instagram_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Instagram User Id"}},{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Channel Id"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationCategory"},{"type":"null"}],"title":"Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"automation_types[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTypeFilter"},"default":[],"title":"Automation Types[]"}},{"name":"triggers[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTriggerFilter"},"default":[],"title":"Triggers[]"}},{"name":"created_after","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created After"}},{"name":"created_before","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Before"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationStatusFilter"},{"type":"null"}],"title":"Status"}},{"name":"include_conversation_starter","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Conversation Starter"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAutomationsCountsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/get_all_automations_stats":{"post":{"tags":["automation"],"summary":"Get All Automations Stats Legacy","operationId":"get_all_automations_stats_legacy_v1_automation_get_all_automations_stats_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAutomationsStatsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAutomationsStatsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"deprecated":true,"security":[{"JWTBearer":[]}]}},"/v1/automation/media_details":{"post":{"tags":["automation"],"summary":"Get Automation Media Details Legacy","operationId":"get_automation_media_details_legacy_v1_automation_media_details_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationMediaDetailsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationMediaDetailsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"deprecated":true,"security":[{"JWTBearer":[]}]}},"/v1/automation/records/{record_id}/pin":{"patch":{"tags":["automation"],"summary":"Pin Automation Record Legacy","operationId":"pin_automation_record_legacy_v1_automation_records__record_id__pin_patch","deprecated":true,"security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordPinPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordPinResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/records/{record_id}/toggle":{"patch":{"tags":["automation"],"summary":"Toggle Automation Record Legacy","operationId":"toggle_automation_record_legacy_v1_automation_records__record_id__toggle_patch","deprecated":true,"security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordTogglePayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordToggleResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/records/{record_id}/suggest_name":{"post":{"tags":["automation"],"summary":"Suggest Automation Record Name Legacy","operationId":"suggest_automation_record_name_legacy_v1_automation_records__record_id__suggest_name_post","deprecated":true,"security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordSuggestNameResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/records/{record_id}":{"delete":{"tags":["automation"],"summary":"Delete Automation Record Legacy","operationId":"delete_automation_record_legacy_v1_automation_records__record_id__delete","deprecated":true,"security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation/inactivate_all":{"post":{"tags":["automation"],"summary":"Inactivate All Automations Legacy","operationId":"inactivate_all_automations_legacy_v1_automation_inactivate_all_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InactivateAllAutomationsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InactivateAllAutomationsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"deprecated":true,"security":[{"JWTBearer":[]}]}},"/v1/agent":{"post":{"tags":["agent"],"summary":"Create Agent","operationId":"create_agent_v1_agent_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/agent/evaluate_like":{"post":{"tags":["agent"],"summary":"Evaluate Like","description":"Decide whether the like agent should like a comment.","operationId":"evaluate_like_v1_agent_evaluate_like_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EvaluateCommentPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EvaluateCommentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/agent/evaluate_hide":{"post":{"tags":["agent"],"summary":"Evaluate Hide","description":"Decide whether the comment-moderation agent should hide a comment.","operationId":"evaluate_hide_v1_agent_evaluate_hide_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EvaluateCommentPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EvaluateCommentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/agent/all":{"get":{"tags":["agent"],"summary":"Get All Agents","operationId":"get_all_agents_v1_agent_all_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Channel Id"}},{"name":"agent_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AgentType"},{"type":"null"}],"title":"Agent Type"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationSchema_AgentResponse_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/{agent_id}/view":{"get":{"tags":["agent"],"summary":"Get Agent","operationId":"get_agent_v1_agent__agent_id__view_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"integer","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/{agent_id}/update":{"put":{"tags":["agent"],"summary":"Update Agent","operationId":"update_agent_v1_agent__agent_id__update_put","security":[{"JWTBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"integer","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/{agent_id}/toggle":{"patch":{"tags":["agent"],"summary":"Toggle Agent","description":"Set the agent's active state (the dashboard on/off switch).","operationId":"toggle_agent_v1_agent__agent_id__toggle_patch","security":[{"JWTBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"integer","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentTogglePayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/agent/{agent_id}/delete":{"delete":{"tags":["agent"],"summary":"Delete Agent","description":"Soft delete: the agent disappears from every list and is deactivated.","operationId":"delete_agent_v1_agent__agent_id__delete_delete","security":[{"JWTBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"integer","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiModelResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/rows":{"get":{"tags":["automation_table"],"summary":"Get All Automations","description":"A page of the table: every kind of automation under the search, the\nfilters and the status tab, the conversation starter pinned on top when\nasked for.","operationId":"get_all_automations_v1_automation_table_rows_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"facebook_account_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Facebook Account Id"}},{"name":"instagram_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Instagram User Id"}},{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Channel Id"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationCategory"},{"type":"null"}],"title":"Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"automation_types[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTypeFilter"},"default":[],"title":"Automation Types[]"}},{"name":"triggers[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTriggerFilter"},"default":[],"title":"Triggers[]"}},{"name":"created_after","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created After"}},{"name":"created_before","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Before"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationStatusFilter"},{"type":"null"}],"title":"Status"}},{"name":"include_conversation_starter","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Conversation Starter"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagiantionSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/counts":{"get":{"tags":["automation_table"],"summary":"Get All Automations Counts","description":"Counts for the table's status tabs and filter popup. Takes the same\nquery as the rows; page and limit are ignored.","operationId":"get_all_automations_counts_v1_automation_table_counts_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"facebook_account_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Facebook Account Id"}},{"name":"instagram_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Instagram User Id"}},{"name":"channel_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Channel Id"}},{"name":"category","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationCategory"},{"type":"null"}],"title":"Category"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"automation_types[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTypeFilter"},"default":[],"title":"Automation Types[]"}},{"name":"triggers[]","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/AutomationTriggerFilter"},"default":[],"title":"Triggers[]"}},{"name":"created_after","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created After"}},{"name":"created_before","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Created Before"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/AutomationStatusFilter"},{"type":"null"}],"title":"Status"}},{"name":"include_conversation_starter","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Conversation Starter"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAutomationsCountsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/stats":{"post":{"tags":["automation_table"],"summary":"Get All Automations Stats","description":"Hits, clicks and the last 7 days of a page of rows, by record id.","operationId":"get_all_automations_stats_v1_automation_table_stats_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAutomationsStatsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllAutomationsStatsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/automation_table/media_details":{"post":{"tags":["automation_table"],"summary":"Get Automation Media Details","description":"Thumbnails, captions and counts of the posts the rows preview.","operationId":"get_automation_media_details_v1_automation_table_media_details_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationMediaDetailsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationMediaDetailsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/automation_table/by_media":{"post":{"tags":["automation_table"],"summary":"Get Automations By Media","description":"The user's published basic automations and flows on each of the given\nmedia, keyed by media id: record id, name and whether each is on. Drafts\nare left out.","operationId":"get_automations_by_media_v1_automation_table_by_media_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationsByMediaPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationsByMediaResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/automation_table/rows/{record_id}/pin":{"patch":{"tags":["automation_table"],"summary":"Pin Automation Record","description":"Pin a row to the top, or unpin it. The conversation starter is always\npinned.","operationId":"pin_automation_record_v1_automation_table_rows__record_id__pin_patch","security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordPinPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordPinResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/rows/{record_id}/toggle":{"patch":{"tags":["automation_table"],"summary":"Toggle Automation Record","description":"Switch a row on or off. Answers with the record id the row is listed\nunder from now on.","operationId":"toggle_automation_record_v1_automation_table_rows__record_id__toggle_patch","security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordTogglePayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordToggleResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/rows/{record_id}/suggest_name":{"post":{"tags":["automation_table"],"summary":"Suggest Automation Record Name","description":"A short name for a row, suggested by AI from its keywords, its post's\ncaption and what it sends. `name` is null when the model gave none.","operationId":"suggest_automation_record_name_v1_automation_table_rows__record_id__suggest_name_post","security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordSuggestNameResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/rows/{record_id}":{"delete":{"tags":["automation_table"],"summary":"Delete Automation Record","description":"Delete a row. A conversation starter is deleted for good, with its\nicebreakers and their taps.","operationId":"delete_automation_record_v1_automation_table_rows__record_id__delete","security":[{"JWTBearer":[]}],"parameters":[{"name":"record_id","in":"path","required":true,"schema":{"type":"string","title":"Record Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationRecordDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/automation_table/inactivate_all":{"post":{"tags":["automation_table"],"summary":"Inactivate All Automations","description":"Switch every automation of a channel off.","operationId":"inactivate_all_automations_v1_automation_table_inactivate_all_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InactivateAllAutomationsPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InactivateAllAutomationsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/event_tracker":{"post":{"tags":["event_tracker"],"summary":"Create Event","operationId":"create_event_v1_event_tracker_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/automation/{automation_id}/redirect":{"get":{"tags":["event_tracker"],"summary":"Redirect Automation Url","operationId":"redirect_automation_url_v1_event_tracker_automation__automation_id__redirect_get","parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}},{"name":"url","in":"query","required":true,"schema":{"type":"string","title":"Url"}},{"name":"source","in":"query","required":true,"schema":{"$ref":"#/components/schemas/SourceType"}},{"name":"from_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"From User Id"}},{"name":"from_username","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"From Username"}},{"name":"from_message_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"From Message Id"}},{"name":"X-Forwarded-For","in":"header","required":false,"schema":{"title":"X-Forwarded-For"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/flow_automation/redirect":{"get":{"tags":["event_tracker"],"summary":"Redirect Flow Automation Url","operationId":"redirect_flow_automation_url_v1_event_tracker_flow_automation_redirect_get","parameters":[{"name":"token","in":"query","required":true,"schema":{"type":"string","title":"Token"}},{"name":"X-Forwarded-For","in":"header","required":false,"schema":{"title":"X-Forwarded-For"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/automation/track_click_event":{"post":{"tags":["event_tracker"],"summary":"Track Click Event","operationId":"track_click_event_v1_event_tracker_automation_track_click_event_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClickEvenPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/flow_automation/track_click_event":{"post":{"tags":["event_tracker"],"summary":"Track Flow Click Event","operationId":"track_flow_click_event_v1_event_tracker_flow_automation_track_click_event_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowClickEvenPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/list":{"post":{"tags":["event_tracker"],"summary":"Get Event Tracker List","operationId":"get_event_tracker_list_v1_event_tracker_list_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventTrackerFilterPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagiantionSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/event_tracker/click_event_count_by_country":{"get":{"tags":["event_tracker"],"summary":"Get Click Event Count By Country","operationId":"get_click_event_count_by_country_v1_event_tracker_click_event_count_by_country_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Automation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClickEventCountByCountryResponseSchema"},"title":"Response Get Click Event Count By Country V1 Event Tracker Click Event Count By Country Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/new_followers":{"post":{"tags":["event_tracker"],"summary":"Get New Followers","operationId":"get_new_followers_v1_event_tracker_new_followers_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewFollowersFilterPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagiantionSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/event_tracker/automation/{automation_id}/analytics":{"get":{"tags":["event_tracker"],"summary":"Get Automation Analytics","operationId":"get_automation_analytics_v1_event_tracker_automation__automation_id__analytics_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Automation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutomationAnalyticsResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/flow_automation/{flow_automation_id}/analytics":{"get":{"tags":["event_tracker"],"summary":"Get Flow Automation Analytics","description":"Consolidated analytics for one flow automation.\n\nFlow counterpart of `/automation/{automation_id}/analytics`. The funnel is\ntriggers -> DMs sent -> clicks (flow automations have no Ask-to-Follow\naction, so there is no follows stage).","operationId":"get_flow_automation_analytics_v1_event_tracker_flow_automation__flow_automation_id__analytics_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"flow_automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Flow Automation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FlowAutomationAnalyticsResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/flow_automation/{flow_automation_id}/events":{"get":{"tags":["event_tracker"],"summary":"Get Flow Event Tracker List","description":"Paginated flow events for the analytics activity tabs.","operationId":"get_flow_event_tracker_list_v1_event_tracker_flow_automation__flow_automation_id__events_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"flow_automation_id","in":"path","required":true,"schema":{"type":"integer","title":"Flow Automation Id"}},{"name":"type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/FlowEventType"},{"type":"null"}],"title":"Type"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":20,"title":"Limit"}},{"name":"offset","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":0,"title":"Offset"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginationSchema_FlowEventTrackerResponseSchema_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/event_tracker/summary":{"post":{"tags":["event_tracker"],"summary":"Get Event Summary","operationId":"get_event_summary_v1_event_tracker_summary_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventTrackerFilterPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventSummaryResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/event_tracker/new_followers_summary":{"post":{"tags":["event_tracker"],"summary":"Get New Followers Summary","operationId":"get_new_followers_summary_v1_event_tracker_new_followers_summary_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewFollowersFilterPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventSummaryResponseSchema"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/event_tracker/temp_event_trackers":{"delete":{"tags":["event_tracker"],"summary":"Delete Temp Event Trackers","description":"Delete temp_event_tracker rows older than `daysAgo` days (0 = all rows).","operationId":"delete_temp_event_trackers_v1_event_tracker_temp_event_trackers_delete","parameters":[{"name":"daysAgo","in":"query","required":false,"schema":{"type":"integer","minimum":0,"description":"Delete temp_event_tracker rows created more than this many days ago. 0 (the default) deletes every row.","default":0,"title":"Daysago"},"description":"Delete temp_event_tracker rows created more than this many days ago. 0 (the default) deletes every row."},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteTempEventTrackersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/link_scrapper/preview_detail":{"get":{"tags":["link_scrapper"],"summary":"Get Preview Detail","operationId":"get_preview_detail_v1_link_scrapper_preview_detail_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","title":"Url"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/link_scrapper/preview_detail/safe":{"get":{"tags":["link_scrapper"],"summary":"Get Preview Detail Safe","operationId":"get_preview_detail_safe_v1_link_scrapper_preview_detail_safe_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","title":"Url"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/link_scrapper/upload/image":{"post":{"tags":["link_scrapper"],"summary":"Upload Image","description":"Upload file to GCS bucket and return the URL.","operationId":"upload_image_v1_link_scrapper_upload_image_post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_image_v1_link_scrapper_upload_image_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/link_scrapper/upload/image_url":{"post":{"tags":["link_scrapper"],"summary":"Upload Image Url","description":"Upload file to GCS bucket and return the URL.","operationId":"upload_image_url_v1_link_scrapper_upload_image_url_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadImage"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/blog/babylovegrowth_webhook":{"post":{"tags":["blog"],"summary":"Babylovegrowth Webhook","operationId":"babylovegrowth_webhook_v1_blog_babylovegrowth_webhook_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBabylovegrowthBlogPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/blog/view/{slug}":{"get":{"tags":["blog"],"summary":"Get Blog By Slug","operationId":"get_blog_by_slug_v1_blog_view__slug__get","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","title":"Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/preview/{token}":{"get":{"tags":["blog"],"summary":"Get Blog By Preview Token","description":"Public but unguessable: render a blog from a signed preview token.\nServes drafts and inactive posts (that's the point), so the token is the\nonly credential. Anything unusable — bad signature, wrong purpose,\nexpired, deleted blog — comes back as a plain 404.\n\nThe website mounts this at /blogs/preview/{token} and renders it with the\nsame template as a published post, with noindex set.","operationId":"get_blog_by_preview_token_v1_blog_preview__token__get","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string","title":"Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlogDetailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/list":{"get":{"tags":["blog"],"summary":"Get Blogs","operationId":"get_blogs_v1_blog_list_get","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}},{"name":"author","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Author"}},{"name":"slugs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Slugs"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/{blog_id}/delete":{"delete":{"tags":["blog"],"summary":"Delete Blog","operationId":"delete_blog_v1_blog__blog_id__delete_delete","parameters":[{"name":"blog_id","in":"path","required":true,"schema":{"type":"integer","title":"Blog Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Admin-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/admin/list":{"get":{"tags":["blog"],"summary":"Get Blogs Admin","description":"Admin-only blog list: includes inactive posts plus is_active and\ncreated_at, for the admin console management table.","operationId":"get_blogs_admin_v1_blog_admin_list_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/admin/{blog_id}":{"get":{"tags":["blog"],"summary":"Get Blog Admin","description":"Admin-only fetch of a single blog by id, including full content and\nregardless of active status, for the admin console edit view.","operationId":"get_blog_admin_v1_blog_admin__blog_id__get","security":[{"JWTBearer":[]}],"parameters":[{"name":"blog_id","in":"path","required":true,"schema":{"type":"integer","title":"Blog Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/admin/{blog_id}/draft":{"delete":{"tags":["blog"],"summary":"Delete Blog Draft Admin","description":"Hard-delete a draft from the admin console blog table. Published posts\nare refused with 409 — they have a public URL, so deactivate them instead.\nFirebase-admin gated (ADMIN / SEO_ADMIN), unlike the legacy\nx-admin-api-key `delete_blog` above.","operationId":"delete_blog_draft_admin_v1_blog_admin__blog_id__draft_delete","security":[{"JWTBearer":[]}],"parameters":[{"name":"blog_id","in":"path","required":true,"schema":{"type":"integer","title":"Blog Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/admin/{blog_id}/preview_token":{"get":{"tags":["blog"],"summary":"Get Blog Preview Token","description":"Mint an expiring link that renders this blog on the website, drafts\nincluded. The admin console opens `preview_url` in a new tab.","operationId":"get_blog_preview_token_v1_blog_admin__blog_id__preview_token_get","security":[{"JWTBearer":[]}],"parameters":[{"name":"blog_id","in":"path","required":true,"schema":{"type":"integer","title":"Blog Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlogPreviewTokenResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/admin/upload_image":{"post":{"tags":["blog"],"summary":"Admin Upload Blog Image","description":"Admin-only image upload for the blog editor (hero + inline images).\nResizes and converts to .webp, stores it, and returns the public URL.\nFirebase-admin gated so the admin app can call it with its own token.","operationId":"admin_upload_blog_image_v1_blog_admin_upload_image_post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_admin_upload_blog_image_v1_blog_admin_upload_image_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/blog/slugs":{"get":{"tags":["blog"],"summary":"Get All Blog Slugs","operationId":"get_all_blog_slugs_v1_blog_slugs_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/blog/create":{"post":{"tags":["blog"],"summary":"Create Blog","operationId":"create_blog_v1_blog_create_post","parameters":[{"name":"x-admin-api-key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBlogPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/blog/{blog_id}/update":{"patch":{"tags":["blog"],"summary":"Update Blog","description":"Partially update a blog. Only fields included in the request body change;\nomitted fields are left untouched.\n\nNOTE: `slug` cannot be changed here. It is not a field on UpdateBlogPayload\nand is stripped defensively in the service, because the slug is the blog's\npublic URL — changing it drops SEO ranking and breaks inbound links. Rename\na slug only via a deliberate direct DB change.","operationId":"update_blog_v1_blog__blog_id__update_patch","parameters":[{"name":"blog_id","in":"path","required":true,"schema":{"type":"integer","title":"Blog Id"}},{"name":"x-admin-api-key","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Admin-Api-Key"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBlogPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/instagram/short_lived_access_token_from_code":{"post":{"tags":["instagram"],"summary":"Get Short Lived Access Token From Code","description":"Get short lived access token from code received during Instagram OAuth.","operationId":"get_short_lived_access_token_from_code_v1_instagram_short_lived_access_token_from_code_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstagramOauthSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/instagram/long_lived_access_token":{"get":{"tags":["instagram"],"summary":"Get Long Lived Access Token","description":"Exchange short lived access token for long lived access token.","operationId":"get_long_lived_access_token_v1_instagram_long_lived_access_token_get","parameters":[{"name":"access_token","in":"query","required":true,"schema":{"type":"string","title":"Access Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/instagram/me":{"get":{"tags":["instagram"],"summary":"Get Me","description":"Exchange short lived access token for long lived access token.","operationId":"get_me_v1_instagram_me_get","parameters":[{"name":"access_token","in":"query","required":true,"schema":{"type":"string","title":"Access Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstagramMeResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/instagram/on_instagram_oauth_success":{"post":{"tags":["instagram"],"summary":"On Instagram Oauth Success","description":"Generate custom firebase token required for login/signup.","operationId":"on_instagram_oauth_success_v1_instagram_on_instagram_oauth_success_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstagramOauthSuccessPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstagramOauthSuccessResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/instagram/account":{"get":{"tags":["instagram"],"summary":"Get Instagram Account","description":"Get Instagram account details.","operationId":"get_instagram_account_v1_instagram_account_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/InstagramAccount"},{"type":"null"}],"title":"Response Get Instagram Account V1 Instagram Account Get"}}}}},"security":[{"JWTBearer":[]}]}},"/v1/instagram/webhook":{"get":{"tags":["instagram"],"summary":"Instagram Webhook Verify","description":"On webook verification VERIFY_TOKEN has to match the token at the\nconfiguration and send back \"hub.challenge\" as success.","operationId":"instagram_webhook_verify_v1_instagram_we
[...]
